_Evas_Image_Load_Func Struct Reference
Evas » Canvas Functions » Image Functions

## Data Fields

int | version
void *(* | file_open )(Eina_File *f, Eina_Stringshare *key, Evas_Image_Load_Opts *opts, Evas_Image_Animated *animated, int *error)
void(* | file_close )(void *loader_data)
Eina_Bool(* | file_head )(void *loader_data, Evas_Image_Property *prop, int *error)
Eina_Bool(* | file_head_with_data )(void *loader_data, Evas_Image_Property *prop, void *pixels, int *error)
Eina_Bool(* | file_data )(void *loader_data, Evas_Image_Property *prop, void *pixels, int *error)
double(* | frame_duration )(void *loader_data, int start, int frame_num)
Eina_Bool | threadable
Eina_Bool | do_region